Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# usb-mouse.c File Reference

`#include "usb-private.h"`
`#include "usb-mouse.h"`

## Functions
void | mouUSBRead (DevicePtr pDev, MOTIONPROC motion, ENQUEUEPROC enqueue, CHECKPROC checkspecial, BLOCK block)
void | mouUSBInit (DevicePtr pDev)
int | mouUSBOn (DevicePtr pDev)
void | mouUSBGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)

## Detailed Description

This code implements a low-level device driver for a USB mouse.

## Function Documentation

void mouUSBGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |

| Fill the info structure with information needed to initialize pDev.

void mouUSBInit | ( | DevicePtr | pDev | ) |

| Initialize pDev using usbInit.

int mouUSBOn | ( | DevicePtr | pDev | ) |

| Turn pDev on (i.e., take input from pDev).

void mouUSBRead | ( | DevicePtr | pDev,
|  | MOTIONPROC | motion,
|  | ENQUEUEPROC | enqueue,
|  | CHECKPROC | checkspecial,
|  | BLOCK | block
| ) |

| Read the USB device using usbRead.